Bug 1266377 - [fork][origin_userinterface_521]Clicking on additional image gets "Access denied" info
[fork][origin_userinterface_521]Clicking on additional image gets "Access den...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 03:10 EDT by Yanping Zhang
Modified: 2015-11-23 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:16:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
access-denied (99.13 KB, image/png)
2015-09-25 03:11 EDT, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2015-09-25 03:10:57 EDT
Description of problem:
Login web console, in the create page, click "Don't see the image you are looking for?", there are many images showing up, click on any of them, it
shows "Access denied" info.

Version-Release number of selected component (if applicable):
openshift v1.0.6-90-g8179b3c
kubernetes v1.1.0-alpha.0-1605-g44c91b1
fork_ami_openshift3_userinterface_public_521_89

How reproducible:
Always

Steps to Reproduce:
1.Create image streams in a project.
$  oc create -f /data/src/github.com/openshift/origin/examples/image-streams/image-streams-centos7.json -n prozyp
2.Login web console, in the project "prozyp", click "Add to Project", then click "Don't see the image you are looking for?"
3.In the "Additional Images", click on any one of the images to choose it, such as "jenkins:1"

Actual results:
3.It will show "Access denied" info. Refer to attachment.

Expected results:
3.Should have permission to access.

Additional info:
Comment 1 Yanping Zhang 2015-09-25 03:11 EDT
Created attachment 1076918 [details]
access-denied
Comment 2 Samuel Padgett 2015-09-25 11:30:49 EDT
Fix added to the pull request:

https://github.com/openshift/origin/pull/4684
Comment 3 Yanping Zhang 2015-09-27 22:46:40 EDT
Tested on devenv-fedora_2411
$ openshift version
openshift v1.0.6-188-g347cf33
kubernetes v1.1.0-alpha.0-1605-g44c91b1

Steps to verify:
1.Create image streams in a project.
$  oc create -f /data/src/github.com/openshift/origin/examples/image-streams/image-streams-centos7.json -n pro1
2.Login web console, in the project "pro1", click "Add to Project", then click "Don't see the image you are looking for?"
3.In the "Additional Images", click on any one of the images to choose it, such as "nodejs:latest". It will jump to creation page.
4.Use "nodejs:latest" image to create app, it will create successfully.

The bug has been fixed, so move it to Verified.

Note You need to log in before you can comment on or make changes to this bug.